#ifndef DIYAC_VIEW_H
#define DIYAC_VIEW_H
#include "diyac.h"
#define diyac_view_state_equal(a,b) ((a.fullscreen == b.fullscreen) \
    && (a.maximized == b.maximized) \
    && (a.minimized == b.minimized))
void diyac_focus_view(struct diyac_view *toplevel, bool raise);
struct diyac_view *diyac_view_at(
    struct diyac_server *server, double lx, double ly,
    struct wlr_surface **surface, double *sx, double *sy);
void diyac_focus_topmost_view(struct diyac_server *server, bool raise);
struct diyac_view * diyac_topmost_focusable_view(struct diyac_server *server);
bool diyac_view_update_geometry(struct diyac_view *view, bool grabbed);
void diyac_arrange_all_views(struct diyac_server *server);
struct diyac_view *diyac_get_root_view(struct diyac_view *view);
void diyac_get_children_views(struct diyac_view *view, struct wl_array *children);
struct wlr_box diyac_view_get_geometry(struct diyac_view *view);
#endif